/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/
#include <kconfig.h>
#include "AcquaButtonMaximize.h"

using namespace KWinInternal;

#include "maximize.xpm"
#include "maximize_down.xpm"
#include "maximize_over.xpm"
#include "maximize_inactive.xpm"
#include "unused.xpm"

namespace AcquaNamespace
{

static int buttonStyle;

static void readConfig()
{
   KConfig config("kwinrc");
   config.setGroup("Style");
   buttonStyle=config.readNumEntry("AcquaButtonStyle",1);
}

}; // Namespace


AcquaButtonMaximize::AcquaButtonMaximize(bool max, QWidget * parent)
  : AcquaButton(parent, i18n("Maximize"))
{
  AcquaNamespace::readConfig();
  if (AcquaNamespace::buttonStyle==1) {
    pixmap_inactive=QPixmap(unused_xpm);
  }
  else {
    pixmap_inactive=QPixmap(maximize_inactive_xpm);
  }

  pixmap_=QPixmap(maximize_xpm);
  pixmap_over=QPixmap(maximize_over_xpm);
  pixmap_down=QPixmap(maximize_down_xpm);

}

  void
AcquaButtonMaximize::slotMaximizeChange(bool max)
{
  setTipText(max ? i18n("Restore") : i18n("Maximize"));
}


void
AcquaButtonMaximize::clickEvent(int button)
{
  emit(maximize(button));
}

#include "AcquaButtonMaximize.moc"
// vim:ts=2:sw=2:tw=78:set et:
