/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#ifndef KWIN_ACQUA_CONFIG_H
#define KWIN_ACQUA_CONFIG_H

#include <qradiobutton.h>
#include <kconfig.h>
#include <knuminput.h>
#include <qgroupbox.h>
#include <qcheckbox.h>

class AcquaConfig : public QObject
{
   Q_OBJECT
   
public:
   AcquaConfig( KConfig* conf, QWidget* parent );
   ~AcquaConfig();
   
signals:
   void changed();

public slots:
   void load( KConfig* conf );
   void save( KConfig* conf );
   void defaults();

private:
   QGroupBox* gb;
   QGroupBox* gb2;
   QGroupBox* gb3;
   QRadioButton* noShadows;
   QRadioButton* winShadows;
   QRadioButton* macosxShadows;
   QRadioButton* noneRounded;
   QRadioButton* topRounded;
   QRadioButton* bottomRounded;
   QRadioButton* topBottomRounded;
   KIntNumInput* updateInterval;
   QCheckBox*    showMiniIcon;
   QCheckBox*    shadowedText;
   QCheckBox*    noBorders;
   //QCheckBox*    noBordersOnTitlebar;
   QRadioButton* noRightButton;
   QRadioButton* rightButtonIsMenu;
   QRadioButton* rightButtonIsHelp;
   QCheckBox*    buttonStyle; 
};


#endif
